> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/43.-dotaz-ziskani-poli.md).

# 43. Dotaz: Získání „polí“

Dotaz pro získání uživatelských „Polí“ s filtry podle `štítků`, `farmUuid`, `fieldUuid`, `jménaPole`. Pole jsou vrácena v abecedním pořadí podle názvu pole.&#x20;

Filtr polí funguje jako podmínka AND, např. je možné filtrovat podle `farmUuid` a podle `fieldUuid` a podle `štítků` a podle `jménaPole` v jednom dotazu nebo použít pouze jednu filtrační podmínku nebo nepoužít žádnou podmínku.&#x20;

Filtrovat podle `jménaPole` funguje jako `začíná_s`.&#x20;

Pro implementaci stránkování použijte parametr dotazu `velikostStránky`. V odpovědi jsou `posledníVyhodnocenýKlíč` a `celkovýPočet` , kde `posledníVyhodnocenýKlíč` odkazuje na poslední zpracovaný záznam vyhovující filtru a `celkovýPočet` je celkový počet záznamů, které odpovídají filtračním podmínkám.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
dotaz FiltrPoli {
  získatPolíčka(
    filtr: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      štítky: [{ název: "name1", hodnota: "value1" }]
      velikostStránky: 2
      posledníVyhodnocenýKlíč: {
        TřídicíKlíč: "<nějaký_klíč>"
        OddílKlíče: "<nějaký_klíč>"
        ŘetězecŠtítku: "<nějaký_klíč>"
      }
      jménoPole: "Ukázka"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      název
      labels {
        název
        value
      }
      celkovýPočet
    }
    posledníVyhodnocenýKlíč {
      TřídicíKlíč
      OddílKlíče
      ŘetězecŠtítku
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/43.-dotaz-ziskani-poli.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
